Bug 43504 - 'ucs-school-user-logonscript' struggles on whitespace within 'commonshares' variable
'ucs-school-user-logonscript' struggles on whitespace within 'commonshares' v...
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: Netlogon scripts
UCS@school 4.1 R2
Other Linux
: P5 normal (vote)
: UCS@school 4.1 R2 v10
Assigned To: Florian Best
Daniel Tröder
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-06 17:54 CET by Nico Stöckigt
Modified: 2017-03-21 12:35 CET (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 2: Improvement: Would be a product improvement
Who will be affected by this bug?: 3: Will affect average number of installed domains
How will those affected feel about the bug?: 2: A Pain – users won’t like this once they notice it
User Pain: 0.069
Enterprise Customer affected?:
School Customer affected?: Yes
ISV affected?:
Waiting Support:
Ticket number: 2017020321000278
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nico Stöckigt univentionstaff 2017-02-06 17:54:13 CET
When there is a whitespace within the 'ucsschool/userlogon/commonshares' UCR variable, the 'ucs-school-user-logonscript' struggles at the entry containing the space.

e.g.
 ucsschool/userlogon/commonshares='Marketplace,Tempshare, CommonTransfer'

For 'CommonTransfer' there will be no DriveMapping in the logonscripts.
Comment 1 Florian Best univentionstaff 2017-02-08 18:11:47 CET
ucs-school-netlogon-user-logonscripts (12.0.4-5):
r76573 | Bug #43504: strip whitespace from commonshare prefix

ucs-school-netlogon-user-logonscripts.yaml:
r76573 | Bug #43504: strip whitespace from commonshare prefix
Comment 2 Daniel Tröder univentionstaff 2017-02-09 10:40:24 CET
OK: code change
OK: manual test:
# ucr set ucsschool/userlogon/commonshares=' Marktplatz , ' listener/debug/level=3
# invoke-rc.d univention-directory-listener restart; univention-directory-listener-ctrl resync ucs-school-user-logonscript
# egrep 'search global links for|got global links' /var/log/univention/listener.log

FIXED build number and format of advisory (r76581).
Comment 3 Sönke Schwardt-Krummrich univentionstaff 2017-03-21 12:35:56 CET
UCS@school 4.1 R2 v10 has been released.

http://docs.software-univention.de/changelog-ucsschool-4.1R2v10-de.html

If this error occurs again, please clone this bug.